# collada.common

Functions

`tag`(text[, namespace]) | Tag a text key with the collada namespace, by default: '{http://www.collada.org/2005/11/COLLADASchema}'
`tagger`([namespace]) | A closure, or function that returns a function.

Classes

`DaeObject`() | This class is the abstract interface to all collada objects.

Exceptions

`DaeBrokenRefError`(msg) | Raised when a referenced object is not found in the scope.
`DaeError`(msg) | General DAE exception.
`DaeIncompleteError`(msg) | Raised when needed data for an object isn't there.
`DaeMalformedError`(msg) | Raised when data is found to be corrupted in some way.
`DaeSaveValidationError`(msg) | Raised when XML validation fails when saving.
`DaeUnsupportedError`(msg) | Raised when some unexpectedly unsupported feature is found.